Unable to install

Posted by: gromspread on 8 September 2017, 11:48 am EST

  • Posted 8 September 2017, 11:48 am EST

    Hello,

    In order to develop a prototype for an ASP.Net project, I am asked to test a trial of the product but i'm struggling to install it on a virtual machine : I am unable to select the "Spread for ASP.NET Assemblies" check box because it is unavailable saying "IIS version must be 6 or higher". However, IIS is correctly installed and the default website is online.
    What am I missing?

    Thanks

  • Replied 8 September 2017, 11:48 am EST

    Hello,

    Please go through these links for the same:-

    http://sphelp.grapecity.com/forums/topic/possible-cause-for-failed-installs/
    http://sphelp.grapecity.com/forums/topic/error-installing-spread-net-6-failed-while-processing-webvirtualdirs/

    Hope it helps.

    Thanks,
    Reeva
  • Replied 8 September 2017, 11:48 am EST

    Thanks for your answer.

    As I said, the default web site is online on the 80 port, but the I still cannot select the "Spread for ASP.NET Assemblies" check box.
    The install is not failing : I cannot launch it.
  • Replied 8 September 2017, 11:48 am EST

    Hello,

    We are escalating your issue to the concerned team for further investigation.

    We will notify you once we hear anything from them.
    Tracking id for your issue is:- 117408

    In the meantime, please let us know your exact machine configuration and architecture.
    And you can also try installing using offline installer which can be downloaded from thiese links:-

    http://cdn.componentone.com/files/spread/Studio/8/20151/SpreadInstaller.exe
    http://cdn.componentone.com/files/spread/Studio/8/20151/SpreadJSDesigner.msi
    http://cdn.componentone.com/files/spread/Studio/8/20151/SpreadJSExcelIO.msi
    http://cdn.componentone.com/files/spread/Studio/8/20151/SpreadJSJavascript.msi
    http://cdn.componentone.com/files/spread/Studio/8/20151/SpreadWeb.Help.msi
    http://cdn.componentone.com/files/spread/Studio/8/20151/SpreadWeb.msi
    http://cdn.componentone.com/files/spread/Studio/8/20151/SpreadWin.Help.msi
    http://cdn.componentone.com/files/spread/Studio/8/20151/SpreadWin.msi
    http://cdn.componentone.com/files/spread/Studio/8/20151/SpreadWin.msi
    http://cdn.componentone.com/files/spread/Studio/8/20151/SpreadWinRT.msi
    http://cdn.componentone.com/files/spread/Studio/8/20151/SpreadWPF-SL.Help.msi
    http://cdn.componentone.com/files/spread/Studio/8/20151/SpreadWPF-SL.msi

    Here, you need to download them all to one folder and run the installer from there.

    Hope it resolve your issue. Please share your further observations on the same.

    Thanks,
    Reeva
  • Marked as Answer

    Replied 8 September 2017, 11:48 am EST

    The ASP.NET checkbox is disabled when it doesn't find "Default Web Site" on Port 80 in IIS. If you configure that, it should be available.

    Let me know if it works,
    Dan Beall
    Product Manager
  • Replied 23 January 2018, 2:10 am EST

    Severity Code Description Project File Line
    Error Exception occurred creating type 'GrapeCity.Spread.Sheets.ExcelIO.Spread, GrapeCity.Spread.Sheets.ExcelIO, Version=9.40.20153.0, Culture=neutral, PublicKeyToken=3ef656c0a61aba3a' System.ComponentModel.LicenseException: A valid license cannot be granted for the type GrapeCity.Spread.Sheets.ExcelIO.Spread. Contact the manufacturer of the component for more information. VU.Redux2.UI C:\Users\consultant69\Source\Workspaces\VU\Development\Recon-With-KeyCloak\Presentation\Redux2\Source\VU.Redux2.UI\Properties\licenses.licx 1



    I already have the project set up in my TFS . however when accessed the code on my machine getting above error. kindly assist
  • Replied 19 February 2018, 7:28 pm EST

    Hello,

    The machine where you are trying to develop the application using GrapeCity.Spread.Sheets.ExcelIO, Version=9.40.20153.0 needs to be licensed. Please make sure that you have installed GrapeCity.Spread.Sheets.ExcelIO component on the machine and licensed.

    Thanks,
    Deepak Sharma
  • Replied 2 September 2020, 1:14 pm EST

    Hello,
    I have a problem when I install spread Studio version 8.0.20151.0. Error: "verify download setup files failed". I trying run with administrator but it the same error. Please help me.

    Thanks,
    TrieuNguyen
  • Replied 2 September 2020, 7:30 pm EST

    Hello Trieu,
    Please try installing the Spread after downloading the installer from the following link:
    http://cdn.componentone.com/files/spread/Studio/8/20151/SpreadInstaller.exe
    Also, please uninstall the previous version installed if it is installed before.

    Regards,
    Manish Gupta
Need extra support?

Upgrade your support plan and get personal unlimited phone support with our customer engagement team

Learn More

Forum Channels